<?php

/* DCMS Special
 * Дата последнего редактирования 20.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}


only_reg();
$set['title'] = lang('Перевевод рублей');
require_once H . 'sys/inc/thead.php';

aut();

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
} else {
    header("Location: /index.php?" . SID);
    exit;
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

$ank = get_user($ank['id']);

if ($user['id'] == $ank['id']) {
    header("Location: /index.php?" . SID);
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Перевод рублей');
echo "</small></div><br />";

if (isset($_GET['go'])) {

    $money = intval($_POST['money']);
    if (!$money || $money < 1) {
        $_SESSION['err'] = lang('Вы указали пустые параметры');

        header("Location: /user/transfer/?id=$ank[id]");
        exit();
    }
    if ($user['money'] < $money) {
        $_SESSION['err'] = lang('У Вас недостаточно на счету');

        header("Location: /user/transfer/?id=$ank[id]");
        exit();
    }
    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - $money) . "' WHERE `id` = '$user[id]' LIMIT 1", $db);
    mysql_query("UPDATE `user` SET `money` = '" . ($ank['money'] + $money) . "' WHERE `id` = '$ank[id]' LIMIT 1");

    $msg = 'Вы перевели пользователю [url=/info.php?id=' . $ank[id] . ']' . $ank[nick] . '[/url] ' . $money . ' рублей.';
    mysql_query("INSERT INTO `rub_out` (`id_u`, `ank`, `msg`, `time`) values('$user[id]', '$user[id]', '$msg', '$time')");
    $msg2 = "[url=/info.php?id=$user[id]]$user[nick][/url] $SexPer Вам $money рублей";
    mysql_query("INSERT INTO `rub_ok` (`id_u`, `ank`, `msg`, `time`) values('$user[id]', '$ank[id]', '$msg2', '$time')");
    $msg3 = "$SexPer Вам деньги [url=/user/transfer/in.php][green]подробнее[/green][/url]";
    mysql_query("INSERT INTO `notification` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$ank[id]', '$msg3', '$time')");

    $_SESSION['message'] = lang('Ваш перевод успешно завершен');

    header("Location: /info.php?id=$ank[id]");
    exit();
}
echo "<form method='post' action='?id=$ank[id]&amp;go' class='list-group-item-null'>";

echo "У Вас <b>$user[money]</b> рублей.<br/> У $ank[nick] <b>$ank[money]</b> рублей<br />";
echo "<hr>";
echo "Сколько денег хотите перевести: (от 2 до $user[money])<br />";
echo "<hr>";
$doc->Input('money', 'Количество рублей', 32, 50);
echo "<br />";
$doc->Button('btn btn-success btn-sm', null, 'money', 'Перевести');
$doc->Link('btn btn-secondary btn-sm', "/info.php?id=$ank[id]", null, 'Отмена');

echo "</form>\n";

require_once H . 'sys/inc/tfoot.php';
